# ContactsContract.CommonDataKinds.Nickname

Added in[API level 5](https://developer.android.com/guide/topics/manifest/uses-sdk-element.html#ApiLevels)

# Nickname

*** ** * ** ***

Kotlin\|[Java](https://developer.android.com/reference/android/provider/ContactsContract.CommonDataKinds.Nickname "View this page in Java")  

```
class Nickname : ContactsContract.CommonDataKinds.CommonColumns, ContactsContract.DataColumnsWithJoins
```

|---|--------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| [kotlin.Any](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-any/index.html)                                                                                           ||
| ↳ | [android.provider.ContactsContract.CommonDataKinds.Nickname](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.Nickname#) |

A data kind representing the contact's nickname. For example, for Bob Parr ("Mr. Incredible"):  

```kotlin
ArrayList<ContentProviderOperation> ops =
           new ArrayList<ContentProviderOperation>();
 
  ops.add(ContentProviderOperation.newInsert(Data.CONTENT_URI)
           .withValue(Data.RAW_CONTACT_ID, rawContactId)
           .withValue(Data.MIMETYPE, StructuredName.CONTENT_ITEM_TYPE)
           .withValue(StructuredName.DISPLAY_NAME, "Bob Parr")
           .build());
 
  ops.add(ContentProviderOperation.newInsert(Data.CONTENT_URI)
           .withValue(Data.RAW_CONTACT_ID, rawContactId)
           .withValue(Data.MIMETYPE, Nickname.CONTENT_ITEM_TYPE)
           .withValue(Nickname.NAME, "Mr. Incredible")
           .withValue(Nickname.TYPE, Nickname.TYPE_CUSTOM)
           .withValue(Nickname.LABEL, "Superhero")
           .build());
 
  getContentResolver().applyBatch(ContactsContract.AUTHORITY, ops);
  
```

<br />

You can use all columns defined for[ContactsContract.Data](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.Data)as well as the following aliases.

## Column aliases

|  Type  |                                                                    Alias                                                                    |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  Data column                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  ||
|--------|---------------------------------------------------------------------------------------------------------------------------------------------|---------------------------------------------------------------------------------------------------------------------------|----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| String | [NAME](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.Nickname#NAME:kotlin.String)        | [DATA1](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#DATA1:kotlin.String) |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| int    | [TYPE](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.CommonColumns#TYPE:kotlin.String)   | [DATA2](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#DATA2:kotlin.String) | Allowed values are: <br /> - [TYPE_CUSTOM](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.BaseTypes#TYPE_CUSTOM:kotlin.Int). Put the actual type in[LABEL](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.CommonColumns#LABEL:kotlin.String). - [TYPE_DEFAULT](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.Nickname#TYPE_DEFAULT:kotlin.Int) - [TYPE_OTHER_NAME](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.Nickname#TYPE_OTHER_NAME:kotlin.Int) - [TYPE_MAIDEN_NAME](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.Nickname#TYPE_MAIDEN_NAME:kotlin.Int) - [TYPE_SHORT_NAME](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.Nickname#TYPE_SHORT_NAME:kotlin.Int) - [TYPE_INITIALS](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.Nickname#TYPE_INITIALS:kotlin.Int) <br /> |
| String | [LABEL](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.CommonColumns#LABEL:kotlin.String) | [DATA3](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#DATA3:kotlin.String) |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |

## Summary

|                                                                                                                                                                                         Constants                                                                                                                                                                                          ||
|----------------------------------------------------------------------------------------|----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| static[String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) | [CONTENT_ITEM_TYPE](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.Nickname#CONTENT_ITEM_TYPE:kotlin.String) MIME type used when storing this in data table.                                                                                     |
| static[String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) | [EXTRA_ADDRESS_BOOK_INDEX](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.Nickname#EXTRA_ADDRESS_BOOK_INDEX:kotlin.String) Add this query parameter to a URI to get back row counts grouped by the address book index as cursor extras.          |
| static[String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) | [EXTRA_ADDRESS_BOOK_INDEX_COUNTS](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.Nickname#EXTRA_ADDRESS_BOOK_INDEX_COUNTS:kotlin.String) The array of group counts for the corresponding group.                                                  |
| static[String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) | [EXTRA_ADDRESS_BOOK_INDEX_TITLES](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.Nickname#EXTRA_ADDRESS_BOOK_INDEX_TITLES:kotlin.String) The array of address book index titles, which are returned in the same order as the data in the cursor. |
| static[String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) | [NAME](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.Nickname#NAME:kotlin.String) The name itself                                                                                                                                               |
| static[Int](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html)       | [TYPE_DEFAULT](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.Nickname#TYPE_DEFAULT:kotlin.Int) <br />                                                                                                                                           |
| static[Int](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html)       | [TYPE_INITIALS](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.Nickname#TYPE_INITIALS:kotlin.Int) <br />                                                                                                                                         |
| static[Int](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html)       | [TYPE_MAIDEN_NAME](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.Nickname#TYPE_MAIDEN_NAME:kotlin.Int) <br />                                                                                                                                   |
| static[Int](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html)       | [TYPE_MAINDEN_NAME](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.Nickname#TYPE_MAINDEN_NAME:kotlin.Int) <br />                                                                                                                                 |
| static[Int](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html)       | [TYPE_OTHER_NAME](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.Nickname#TYPE_OTHER_NAME:kotlin.Int) <br />                                                                                                                                     |
| static[Int](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html)       | [TYPE_SHORT_NAME](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.Nickname#TYPE_SHORT_NAME:kotlin.Int) <br />                                                                                                                                     |

| Inherited constants ||
|---|---|
| From class[CommonColumns](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.CommonColumns) |----------------------------------------------------------------------------------|-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------| | [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) | [DATA](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.CommonColumns#DATA:kotlin.String) <br /> The data for the contact method. Type: TEXT <br />                     | | [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) | [LABEL](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.CommonColumns#LABEL:kotlin.String) <br /> The user defined label for the the contact method. Type: TEXT <br /> | | [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) | [TYPE](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.CommonColumns#TYPE:kotlin.String) <br /> The type of data, for example Home or Work. Type: INTEGER <br />       | ||
| From class[BaseTypes](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.BaseTypes) |----------------------------------------------------------------------------|----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------| | [Int](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html) | [TYPE_CUSTOM](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.BaseTypes#TYPE_CUSTOM:kotlin.Int) <br /> A custom type. The custom label should be supplied by user. <br /> | ||

## Constants

### CONTENT_ITEM_TYPE

Added in[API level 5](https://developer.android.com/guide/topics/manifest/uses-sdk-element.html#ApiLevels)  

```
static val CONTENT_ITEM_TYPE: String
```

MIME type used when storing this in data table.  

    Value: "vnd.android.cursor.item/nickname"

### EXTRA_ADDRESS_BOOK_INDEX

```
static val EXTRA_ADDRESS_BOOK_INDEX: String
```

Add this query parameter to a URI to get back row counts grouped by the address book index as cursor extras. For most languages it is the first letter of the sort key. This parameter does not affect the main content of the cursor.

<br />

```kotlin
Example:
 
  import android.provider.ContactsContract.Contacts;
 
  Uri uri = Contacts.CONTENT_URI.buildUpon()
           .appendQueryParameter(Contacts.EXTRA_ADDRESS_BOOK_INDEX, "true")
           .build();
  Cursor cursor = getContentResolver().query(uri,
           new String[] {Contacts.DISPLAY_NAME},
           null, null, null);
  Bundle bundle = cursor.getExtras();
  if (bundle.containsKey(Contacts.EXTRA_ADDRESS_BOOK_INDEX_TITLES) &&
          bundle.containsKey(Contacts.EXTRA_ADDRESS_BOOK_INDEX_COUNTS)) {
      String sections[] =
              bundle.getStringArray(Contacts.EXTRA_ADDRESS_BOOK_INDEX_TITLES);
      int counts[] = bundle.getIntArray(Contacts.EXTRA_ADDRESS_BOOK_INDEX_COUNTS);
  }
  
```

<br />

    Value: "android.provider.extra.ADDRESS_BOOK_INDEX"

### EXTRA_ADDRESS_BOOK_INDEX_COUNTS

```
static val EXTRA_ADDRESS_BOOK_INDEX_COUNTS: String
```

The array of group counts for the corresponding group. Contains the same number of elements as the EXTRA_ADDRESS_BOOK_INDEX_TITLES array.

TYPE: int\[\]  

    Value: "android.provider.extra.ADDRESS_BOOK_INDEX_COUNTS"

### EXTRA_ADDRESS_BOOK_INDEX_TITLES

```
static val EXTRA_ADDRESS_BOOK_INDEX_TITLES: String
```

The array of address book index titles, which are returned in the same order as the data in the cursor.

TYPE: String\[\]  

    Value: "android.provider.extra.ADDRESS_BOOK_INDEX_TITLES"

### NAME

Added in[API level 5](https://developer.android.com/guide/topics/manifest/uses-sdk-element.html#ApiLevels)  

```
static val NAME: String
```

The name itself  

    Value: "data1"

### TYPE_DEFAULT

Added in[API level 5](https://developer.android.com/guide/topics/manifest/uses-sdk-element.html#ApiLevels)  

```
static val TYPE_DEFAULT: Int
```  

    Value: 1

### TYPE_INITIALS

Added in[API level 5](https://developer.android.com/guide/topics/manifest/uses-sdk-element.html#ApiLevels)  

```
static val TYPE_INITIALS: Int
```  

    Value: 5

### TYPE_MAIDEN_NAME

Added in[API level 9](https://developer.android.com/guide/topics/manifest/uses-sdk-element.html#ApiLevels)  

```
static val TYPE_MAIDEN_NAME: Int
```  

    Value: 3

### TYPE_MAINDEN_NAME

Added in[API level 5](https://developer.android.com/guide/topics/manifest/uses-sdk-element.html#ApiLevels)  
Deprecated in[API level 15](https://developer.android.com/guide/topics/manifest/uses-sdk-element.html#ApiLevels)  

```
static val TYPE_MAINDEN_NAME: Int
```

**Deprecated:** *Use TYPE_MAIDEN_NAME instead.*  

    Value: 3

### TYPE_OTHER_NAME

Added in[API level 5](https://developer.android.com/guide/topics/manifest/uses-sdk-element.html#ApiLevels)  

```
static val TYPE_OTHER_NAME: Int
```  

    Value: 2

### TYPE_SHORT_NAME

Added in[API level 5](https://developer.android.com/guide/topics/manifest/uses-sdk-element.html#ApiLevels)  

```
static val TYPE_SHORT_NAME: Int
```  

    Value: 4